# Header-only package
%global debug_package %{nil}

%define devname  %mklibname %{name} -d

Name:           msgpack-cxx
Version:        6.1.1
Release:        %mkrel 2
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries
License:        Boost
URL:            https://msgpack.org/
Source0:        https://github.com/msgpack/msgpack-c/releases/download/cpp-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(cJSON)
BuildRequires:  doxygen
BuildRequires:  boost-devel

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Header files for %{name}
Group:          Development/C++
Requires:       cmake(msgpack-c)
Requires:       boost-devel
Provides:       msgpack-cxx = %{version}-%{release}
Provides:       msgpack-cxx-devel = %{version}-%{release}

%description -n %{devname}
Header-only files for msgpack-c and %{name}.

%files -n       %{devname}
%doc AUTHORS ChangeLog LICENSE_1_0.txt NOTICE README README.md
%license COPYING
%{_includedir}/msgpack/
%{_includedir}/msgpack.hpp
%{_libdir}/cmake/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DMSGPACK_CXX17:BOOL=ON
%cmake_build

%install
%cmake_install


%changelog
* Mon Jun 24 2024 wally <wally> 6.1.1-2.mga10
+ Revision: 2076526
- add more provides to devel pkg

* Tue Apr 09 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2056101
- new version: 6.1.1

* Thu Sep 21 2023 daviddavid <daviddavid> 6.1.0-2.mga10
+ Revision: 1989041
- devel sub-pkg requires boost-devel

* Thu Sep 21 2023 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 1989025
- initial package msgpack-cxx (now msgpack separate in two different packages)

